<script setup lang="ts">

const term = ref('');
const user = useAuth();

async function logout() {
  await $fetch('http://localhost:8080/logout', {
    credentials:'include',
    headers: useRequestHeaders(['cookie'])
  });
  user.value = null;
}

function search() {
  navigateTo('/search/'+term.value);
}

</script>

<template>
  <div class="container-fluid">
    <header>
      <p v-if="user">You are connected as {{ user.email }}</p>
      <NuxtLink to="/">Home</NuxtLink>
      <NuxtLink v-if="!user" to="/login" class="btn btn-primary">Login</NuxtLink>
      <NuxtLink v-if="user" to="/add-picture">Add Picture</NuxtLink>
      <button v-if="user" class="btn btn-danger" @click="logout()">Logout</button>

      <form @submit.prevent="search()">
        <label>Search
          <input type="text" v-model="term">
          <button class="btn btn-primary">Go</button>
        </label>
    </form>
    </header>
    <NuxtPage />
  </div>
</template>


<style>
</style>
